Bug 883296 - [abrt] kde-workspace-4.9.3-2.fc17: poll_for_event: Process /usr/bin/krunner was killed by signal 6 (SIGABRT)
Summary: [abrt] kde-workspace-4.9.3-2.fc17: poll_for_event: Process /usr/bin/krunner w...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-workspace
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eac430d6beeac077fc1f690e38b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-04 09:20 UTC by Liam
Modified: 2013-08-01 12:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 12:13:07 UTC
Type: ---


Attachments (Terms of Use)
File: environ (1.53 KB, text/plain)
2012-12-04 09:20 UTC, Liam
no flags Details
File: event_log (2.72 KB, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: backtrace (53.36 KB, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: cgroup (127 bytes, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: smolt_data (3.03 KB, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: xsession_errors (411 bytes, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: executable (16 bytes, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: maps (58.25 KB, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: dso_list (23.51 KB, text/plain)
2012-12-04 09:21 UTC, Liam
no flags Details
File: proc_pid_status (778 bytes, text/plain)
2012-12-04 09:22 UTC, Liam
no flags Details
File: open_fds (1.63 KB, text/plain)
2012-12-04 09:22 UTC, Liam
no flags Details
File: var_log_messages (153 bytes, text/plain)
2012-12-04 09:22 UTC, Liam
no flags Details

Description Liam 2012-12-04 09:20:54 UTC
Description of problem:
Alt-F2 to make the krunner dialog drop down then typed '.mine' (as start of .minecraft). When 'End' key was pressed to complete the suggestion, krunner crashed.
Problem is/was repeatable several times.


Version-Release number of selected component:
kde-workspace-4.9.3-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/krunner --nocrashhandler
crash_function: poll_for_event
kernel:         3.6.8-2.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #5 poll_for_event at xcb_io.c:270
: #6 poll_for_response at xcb_io.c:288
: #7 _XEventsQueued at xcb_io.c:362
: #8 XEventsQueued at Pending.c:43
: #9 x11EventSourceCheck at kernel/qguieventdispatcher_glib.cpp:85
: #10 g_main_context_check at gmain.c:3023
: #12 g_main_context_iteration at gmain.c:3207
: #13 QEventDispatcherGlib::processEvents at kernel/qeventdispatcher_glib.cpp:424
: #14 QGuiEventDispatcherGlib::processEvents at kernel/qguieventdispatcher_glib.cpp:207
: #15 QEventLoop::processEvents at kernel/qeventloop.cpp:149

Comment 1 Liam 2012-12-04 09:20:59 UTC
Created attachment 657341 [details]
File: environ

Comment 2 Liam 2012-12-04 09:21:02 UTC
Created attachment 657342 [details]
File: event_log

Comment 3 Liam 2012-12-04 09:21:08 UTC
Created attachment 657343 [details]
File: limits

Comment 4 Liam 2012-12-04 09:21:10 UTC
Created attachment 657344 [details]
File: backtrace

Comment 5 Liam 2012-12-04 09:21:13 UTC
Created attachment 657345 [details]
File: cgroup

Comment 6 Liam 2012-12-04 09:21:16 UTC
Created attachment 657346 [details]
File: smolt_data

Comment 7 Liam 2012-12-04 09:21:21 UTC
Created attachment 657347 [details]
File: xsession_errors

Comment 8 Liam 2012-12-04 09:21:24 UTC
Created attachment 657348 [details]
File: executable

Comment 9 Liam 2012-12-04 09:21:26 UTC
Created attachment 657349 [details]
File: maps

Comment 10 Liam 2012-12-04 09:21:59 UTC
Created attachment 657350 [details]
File: dso_list

Comment 11 Liam 2012-12-04 09:22:01 UTC
Created attachment 657352 [details]
File: proc_pid_status

Comment 12 Liam 2012-12-04 09:22:03 UTC
Created attachment 657354 [details]
File: open_fds

Comment 13 Liam 2012-12-04 09:22:06 UTC
Created attachment 657355 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2013-07-04 03:55:26 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2013-08-01 12:13:13 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.